me.legofreak107.vehiclesplus.vehicles.vehicles.enums

## Enum MomentumType

- java.lang.Object
- - java.lang.Enum<MomentumType>
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.enums.MomentumType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MomentumType>

    public enum MomentumType
    extends java.lang.Enum<MomentumType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HIGH_FRICTION` High friction means it does not keep momentum (Car and bike movement)
`LOW_FRICTION` Low friction means it keeps its momentum for a long time (Hovercraft and helicopter movement)
`MEDIUM_FRICTION` Medium friction means it keeps its momentum a little bit (Boat movement)

### Method Summary

All Methods Static Methods Concrete Methods
`static MomentumType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MomentumType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOW_FRICTION

    public static final MomentumType LOW_FRICTION

Low friction means it keeps its momentum for a long time (Hovercraft and helicopter movement)

#### MEDIUM_FRICTION

    public static final MomentumType MEDIUM_FRICTION

Medium friction means it keeps its momentum a little bit (Boat movement)

#### HIGH_FRICTION

    public static final MomentumType HIGH_FRICTION

High friction means it does not keep momentum (Car and bike movement)

### Method Detail

#### values

    public static MomentumType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MomentumType c : MomentumType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MomentumType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null